```

title = "Digitální teploměr s ATmega8"
perex = "Další jednoduché zapojení určené pro náš kroužek mládeže, tentokrát jednoduchého teploměru s ATmega8 a čidlem teploty DS18B20. Najdete zde kompletní popis programu a zapojení včetně plošného spoje."
tags = ["Článek", "Bastlení", "AVR", "Pro začátečníky"]
image = "lead.jpg"
lang = "c"
[author]
name = "Michal, OK1WMR"
[date]
creation="2012-06-15 13:56:00"
```

![Digitální teploměr s ATmega8](teplomer_1.jpg)

Další jednoduché zapojení určené pro náš kroužek mládeže, tentokrát jednoduchého teploměru s ATmega8 a čidlem teploty [DS18B20](https://datasheets.maximintegrated.com/en/ds/DS18B20.pdf). Najdete zde kompletní popis programu a zapojení včetně plošného spoje.

**Pro správnou funkci teploměru je zapotřebí naprogramovat pojistky mikroprocesoru (fuses).**
Pojistkami nastavíte, aby mikroprocesor použil jako hodinový signál interní 8 MHz oscilátor, jinak by běžěl na standardní frekvenci 1 MHz a nefungovalo by správně zobrazování teploty. Naše doporučené hodnoty pojistek jsou: `hfuse=D9, lfuse=04`.

# Schéma
![Schéma](teplomer_sch.png =600x)

# Plošný spoj
![Plošný spoj](teplomer_pcb.png =600x)

# Zdrojové soubory
**Schéma:** [eagle](https://git.ok1kvk.cz/krouzek/digitalni-teplomer-s-atmega8/raw/master/HW/digitalni-teplomer.sch),
[PDF](https://git.ok1kvk.cz/krouzek/digitalni-teplomer-s-atmega8/raw/master/digitalni-teplomer-schema.pdf)
**Plošný spoj:** [eagle](https://git.ok1kvk.cz/krouzek/digitalni-teplomer-s-atmega8/raw/master/HW/digitalni-teplomer.brd), [PDF 1:1](https://git.ok1kvk.cz/krouzek/digitalni-teplomer-s-atmega8/raw/master/plosny-spoj.pdf)

**Celý projekt:** [ZIP](https://git.ok1kvk.cz/krouzek/digitalni-teplomer-s-atmega8/repository/archive.zip?ref=master), [TAR.GZ](https://git.ok1kvk.cz/krouzek/digitalni-teplomer-s-atmega8/repository/archive.tar.gz?ref=master)

**Projekt na GitLabu** [digitalni-teplomer-s-atmega8.git](https://git.ok1kvk.cz/krouzek/digitalni-teplomer-s-atmega8)

Aktuální zdrojový kód naleznete na našem [GitLabu](https://git.ok1kvk.cz/krouzek/digitalni-teplomer-s-atmega8/blob/master/SW/hodiny.c), kde také naleznete [přeložený zdojový kód](https://git.ok1kvk.cz/krouzek/digitalni-teplomer-s-atmega8/builds) do formátu [HEX](https://cs.wikipedia.org/wiki/Intel_HEX).

Deska byla vyrobena [metodou nažehlením tonneru](/clanek/2008/vyroba-plosnych-spoju/).

# Seznam součástek:
| Označení | Hodnota      | Datasheet | Odkaz do obchodu |
|----------|--------------|-----------|------------------|
| R1 - R8  | 330 &#8486;  |           |                  |
| R9       | 10 k&#8486;  |           |                  |
| R10      | 4.7 k&#8486; |           |                  |
| C1, C2   | 100 &#181;F  |           |                  |
| C3       | 100 nF       |           |                  |
| IC1      | 7805 (TO220) | [LM7805.pdf](https://www.sparkfun.com/datasheets/Components/LM7805.pdf) | [tme.eu](http://www.tme.eu/cz/details/l7805acv/stabilizatory-napeti-neregulovane/st-microelectronics/) |
| IC2      | ATmega8A-PU  | [ATmega8a.pdf](http://www.atmel.com/images/atmel-8159-8-bit-avr-microcontroller-atmega8a_datasheet.pdf) | [tme.eu](http://www.tme.eu/cz/details/atmega8a-pu/mikroprocesory-atmel-avr-tht/atmel/) |
| IC3      | DS18B20      | [DS18B20.pdf](http://www.tme.eu/cz/Document/dd11228ca818d1ed1f3029ea47fef609/DS18B20+.pdf) | [tme.eu](http://www.tme.eu/cz/details/ds18b20+/prevodniky-teploty/maxim-dallas/) |
| D1       | LED displej  | [CA56-12SRWA.pdf](http://www.tme.eu/cz/Document/dd941439913e329281bd9cec3769262a/CA56-12SRWA.pdf) | [tme.eu](http://www.tme.eu/cz/details/ca56-12srwa/ctyrmistne-led-displeje/kingbright-electronic/) |
| D2       | zenerova dioda 5V6 | [BZX55C5V6.pdf](http://www.tme.eu/cz/Document/93af4cbc03c9aec362b15e73d9dbd6f8/BZX55Cx.pdf)| [tme.eu](http://www.tme.eu/cz/details/bzx55c5v6/zenerovy-diody-tht/dc-components/) |


# Fotky
![Digitální teploměr](teplomer_2.jpg =300x)
![Digitální teploměr](teplomer_3.jpg =300x)
![Digitální teploměr](teplomer_4.jpg =300x)
![Zapojení DS18B20](ds18b20-pinout.jpg)

# Zdrojový kód
```

```
